import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ItButton extends StatefulWidget {
  final String text;
  final Color color;
  final double borderRadius;
  final double maxWidth;
  final double height;
  final Function onClick;
  final TextStyle textStyle;
  final GlobalKey<FormState> formKey;
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;

  ItButton(this.text,
      {Key key,
      this.margin,
      this.color,
      this.height,
      this.padding,
      this.onClick,
      this.textStyle,
      this.maxWidth = 100,
      this.borderRadius = 10,
      this.formKey})
      : super(key: key);

  @override
  _ItButtonState createState() => _ItButtonState();
}

class _ItButtonState extends State<ItButton> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: widget.margin,
      padding: widget.padding,
      height: widget.height,
      child: RaisedButton(
        onPressed: widget.onClick,
        shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(widget.borderRadius)),
        padding: EdgeInsets.all(0.0),
        child: Ink(
          decoration: BoxDecoration(
              color: widget.color,
              borderRadius: BorderRadius.circular(widget.borderRadius)),
          child: Container(
            constraints:
                BoxConstraints(maxWidth: widget.maxWidth, minHeight: 50.0),
            alignment: Alignment.center,
            child: Text(
              widget.text,
              textAlign: TextAlign.center,
              style: widget.textStyle,
            ),
          ),
        ),
      ),
    );
  }
}
