import 'package:flutter/material.dart';

class ItCartButton extends StatefulWidget {
  const ItCartButton({
    this.hintColor,
    this.accentColor,
    this.onPressed,
    Key key,
  }) : super(key: key);

  final Color hintColor;
  final Color accentColor;
  final Function onPressed;

  @override
  _ItCartButtonState createState() => _ItCartButtonState();
}

class _ItCartButtonState extends State<ItCartButton> {
  int cardCount = 0;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(right: 8.0),
      child: FloatingActionButton(
        heroTag: null,
        backgroundColor: Colors.transparent,
        highlightElevation: 0,
        onPressed: widget.onPressed,
        child: Stack(
          alignment: AlignmentDirectional.bottomEnd,
          children: <Widget>[
            Icon(
              Icons.shopping_cart,
              color: widget.hintColor,
              size: 28,
            ),
            cardCount > 0
                ? Container(
                    child: Text(
                      cardCount.toString(),
                      textAlign: TextAlign.center,
                      style: Theme.of(context).textTheme.caption.merge(
                            TextStyle(
                                color: Theme.of(context).primaryColor,
                                fontSize: 9),
                          ),
                    ),
                    padding: EdgeInsets.all(0),
                    decoration: BoxDecoration(
                        color: widget.accentColor,
                        borderRadius: BorderRadius.all(Radius.circular(10))),
                    constraints: BoxConstraints(
                        minWidth: 15,
                        maxWidth: 15,
                        minHeight: 15,
                        maxHeight: 15),
                  )
                : Container(
                    constraints: BoxConstraints(
                        minWidth: 0, maxWidth: 0, minHeight: 0, maxHeight: 0),
                  ),
          ],
        ),
      ),
    );
  }
}
