import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class ItFilter extends StatefulWidget {
  final Function onFilter;

  final Function setFiltersOnPressed;

  ItFilter({Key key, this.onFilter, this.setFiltersOnPressed})
      : super(key: key);

  @override
  _ItFilterState createState() => _ItFilterState();
}

class _ItFilterState extends State<ItFilter> {
  bool showFoodAndDrinks = true;
  bool showTickets = true;

  @override
  Widget build(BuildContext context) {
    return Drawer(
      child: SafeArea(
        child: Column(
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.only(left: 20),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: <Widget>[
                  Text("Filtro"),
                  MaterialButton(
                    onPressed: setDefaultFilterValues,
                    child: Text(
                      "Limpar",
                      style: Theme.of(context).textTheme.bodyText1,
                    ),
                  )
                ],
              ),
            ),
            Expanded(
              child: ListView(
                primary: true,
                shrinkWrap: true,
                children: <Widget>[
                  ExpansionTile(
                    title: Text("Tipo"),
                    children: [
                      CheckboxListTile(
                        controlAffinity: ListTileControlAffinity.trailing,
                        value: showTickets,
                        onChanged: (value) {
                          setState(() {
                            showTickets = value;
                          });
                          // setState(() {
                          //   _con.filter?.delivery = true;
                          // });
                        },
                        title: Text(
                          "Ingressos",
                          overflow: TextOverflow.fade,
                          softWrap: false,
                          maxLines: 1,
                        ),
                      ),
                      CheckboxListTile(
                        controlAffinity: ListTileControlAffinity.trailing,
                        value: showFoodAndDrinks,
                        onChanged: (value) {
                          setState(() {
                            showFoodAndDrinks = value;
                          });
                          // setState(() {
                          //   _con.filter?.delivery = false;
                          // });
                        },
                        title: Text(
                          "Alimentos e Bebidas",
                          overflow: TextOverflow.fade,
                          softWrap: false,
                          maxLines: 1,
                        ),
                      ),
                    ],
                    initiallyExpanded: true,
                  ),
                  // ExpansionTile(
                  //   title: Text(S.of(context).opened_restaurants),
                  //   children: [
                  //     CheckboxListTile(
                  //       controlAffinity: ListTileControlAffinity.trailing,
                  //       value: _con.filter?.open ?? false,
                  //       onChanged: (value) {
                  //         setState(() {
                  //           _con.filter?.open = value;
                  //         });
                  //       },
                  //       title: Text(
                  //         S.of(context).open,
                  //         overflow: TextOverflow.fade,
                  //         softWrap: false,
                  //         maxLines: 1,
                  //       ),
                  //     ),
                  //   ],
                  //   initiallyExpanded: true,
                  // ),
                  // _con.cuisines.isEmpty
                  //     ? CircularLoadingWidget(height: 100)
                  //     : ExpansionTile(
                  //         title: Text(S.of(context).cuisines),
                  //         children: List.generate(_con.cuisines.length, (index) {
                  //           return CheckboxListTile(
                  //             controlAffinity: ListTileControlAffinity.trailing,
                  //             value: _con.cuisines.elementAt(index).selected,
                  //             onChanged: (value) {
                  //               _con.onChangeCuisinesFilter(index);
                  //             },
                  //             title: Text(
                  //               _con.cuisines.elementAt(index).name,
                  //               overflow: TextOverflow.fade,
                  //               softWrap: false,
                  //               maxLines: 1,
                  //             ),
                  //           );
                  //         }),
                  //         initiallyExpanded: true,
                  //       ),
                ],
              ),
            ),
            SizedBox(height: 15),
            FlatButton(
              onPressed: widget.setFiltersOnPressed,
              padding: EdgeInsets.symmetric(horizontal: 30, vertical: 10),
              color: Theme.of(context).accentColor,
              shape: StadiumBorder(),
              child: Text(
                "Aplicar Filtros",
                textAlign: TextAlign.start,
                style: TextStyle(color: Theme.of(context).primaryColorLight),
              ),
            ),
            SizedBox(height: 15)
          ],
        ),
      ),
    );
  }

  setDefaultFilterValues() {
    setState(() {
      showTickets = true;
      showFoodAndDrinks = true;
    });
  }
}
