import 'package:flutter/material.dart';

class ItSearchBar extends StatelessWidget {
  final Function onClickFilter;
  final Function onTap;

  const ItSearchBar({Key key, this.onClickFilter, this.onTap})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      borderRadius: BorderRadius.circular(10),
      onTap: onTap,
      child: Container(
        padding: EdgeInsets.all(12),
        decoration: BoxDecoration(
            color: Colors.transparent,
            border: Border.all(
              color: Theme.of(context).focusColor.withOpacity(0.2),
            ),
            borderRadius: BorderRadius.circular(10)),
        child: Row(
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.only(right: 12, left: 0),
              child: Icon(Icons.search, color: Theme.of(context).accentColor),
            ),
            Expanded(
              child: Text(
                "Procurar",
                maxLines: 1,
                style: Theme.of(context)
                    .textTheme
                    .caption
                    .merge(TextStyle(fontSize: 14)),
              ),
            ),
            InkWell(
              onTap: onClickFilter,
              child: Padding(
                padding:
                    const EdgeInsets.only(right: 5, left: 5, top: 3, bottom: 3),
                child: Icon(Icons.filter_list,
                    color: Theme.of(context).accentColor),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
