import 'package:flutter/material.dart';

extension ScreenSize on BuildContext {
  double getPercentOfHeight(double percent) {
    return height * percent;
  }

  double getPercentOfWidth(double percent) {
    return width * percent;
  }

  double get width {
    return MediaQuery.of(this).size.width;
  }

  double get height {
    return MediaQuery.of(this).size.height;
  }
}
